summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xMicrobenchmarks/STREAM/run.sh2
-rwxr-xr-xRED/baselines/cpu/run.sh2
-rwxr-xr-xSCAN-RSS/baselines/cpu/run.sh2
-rwxr-xr-xSCAN-SSA/run-omp.sh2
-rwxr-xr-xSCAN-SSA/run.sh2
5 files changed, 5 insertions, 5 deletions
diff --git a/Microbenchmarks/STREAM/run.sh b/Microbenchmarks/STREAM/run.sh
index 887d960..94b759b 100755
--- a/Microbenchmarks/STREAM/run.sh
+++ b/Microbenchmarks/STREAM/run.sh
@@ -21,7 +21,7 @@ for nr_dpus in 1 2 4 8 16 32 64 128 256 512; do
echo
if make -B MEM=${mem} OP=${op} NR_DPUS=${nr_dpus} NR_TASKLETS=${nr_tasklets} BL=10 T=${dt} UNROLL=1 \
|| make -B MEM=${mem} OP=${op} NR_DPUS=${nr_dpus} NR_TASKLETS=${nr_tasklets} BL=10 T=${dt} UNROLL=0; then
- bin/host_code -w 0 -e 20 -i 2097152
+ timeout -k 1m 30m bin/host_code -w 0 -e 20 -i 2097152 || true
fi
done
done
diff --git a/RED/baselines/cpu/run.sh b/RED/baselines/cpu/run.sh
index 82bf983..1707edf 100755
--- a/RED/baselines/cpu/run.sh
+++ b/RED/baselines/cpu/run.sh
@@ -10,7 +10,7 @@ for nr_threads in 1 2 4 6 8 12 16 20 24 32; do
for i in 2048 4096 8192 16384 65536 262144 1048576 3932160 15728640 31457280 262144000 1048576000 2097152000; do
for dt in UINT32 UINT64 INT32 INT64 FLOAT DOUBLE; do
if make -B TYPE=${dt}; then
- ./red -i ${i} -w 0 -e 100 -t ${nr_threads} || true
+ timeout -k 1m 30m ./red -i ${i} -w 0 -e 100 -t ${nr_threads} || true
fi
done
done
diff --git a/SCAN-RSS/baselines/cpu/run.sh b/SCAN-RSS/baselines/cpu/run.sh
index c2e80bc..dde3acd 100755
--- a/SCAN-RSS/baselines/cpu/run.sh
+++ b/SCAN-RSS/baselines/cpu/run.sh
@@ -10,7 +10,7 @@ for nr_threads in 1 2 4 6 8 12 16 20 24 32; do
for i in 2048 4096 8192 16384 65536 262144 1048576 3932160 15728640 31457280 262144000 1258291200 2516582400; do
for dt in UINT32 UINT64 INT32 INT64 FLOAT DOUBLE; do
if make -B TYPE=${dt}; then
- ./scan -i ${i} -w 0 -e 100 -t ${nr_threads} || true
+ timeout -k 1m 30m ./scan -i ${i} -w 0 -e 100 -t ${nr_threads} || true
fi
done
done
diff --git a/SCAN-SSA/run-omp.sh b/SCAN-SSA/run-omp.sh
index 244ab1e..ccbb1bd 100755
--- a/SCAN-SSA/run-omp.sh
+++ b/SCAN-SSA/run-omp.sh
@@ -16,7 +16,7 @@ for nr_threads in 1 2 4 6 8 12 16 20 24 32; do
for dt in UINT32 UINT64 INT32 INT64 FLOAT DOUBLE; do
echo
if make -B TYPE=${dt} bin/omp_code; then
- OMP_NUM_THREADS=$nr_threads bin/omp_code -w 0 -e 100 -i ${i} || true
+ OMP_NUM_THREADS=$nr_threads timeout -k 1m 30m bin/omp_code -w 0 -e 100 -i ${i} || true
fi
done
done
diff --git a/SCAN-SSA/run.sh b/SCAN-SSA/run.sh
index 10dee20..54d5f93 100755
--- a/SCAN-SSA/run.sh
+++ b/SCAN-SSA/run.sh
@@ -19,7 +19,7 @@ for nr_dpus in 1 2 4 8 16 32 64 128 256 512; do
echo
if make -B NR_DPUS=${nr_dpus} NR_TASKLETS=${nr_tasklets} BL=10 TYPE=${dt} UNROLL=1 \
|| make -B NR_DPUS=${nr_dpus} NR_TASKLETS=${nr_tasklets} BL=10 TYPE=${dt} UNROLL=0; then
- bin/host_code -w 0 -e 100 -i ${i} || true
+ timeout -k 1m 30m bin/host_code -w 0 -e 100 -i ${i} || true
fi
done
done